﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace chc.servicemanagertray
{
    static class Program
    {

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            string[] args = Environment.GetCommandLineArgs();
            foreach(string arg in args)
            {
                string[] split_args = arg.Split('=');
                if (split_args.Length == 2)
                {
                    if (split_args[0].ToLower() == "/u")
                    {
                        string guid = split_args[1];
                        string msie_path = Environment.GetFolderPath(Environment.SpecialFolder.System);
                        System.Diagnostics.ProcessStartInfo process = new System.Diagnostics.ProcessStartInfo(msie_path + System.IO.Path.DirectorySeparatorChar + "msiexec.exe", "/i " + guid);
                        System.Diagnostics.Process.Start(process);
                        Application.Exit(new System.ComponentModel.CancelEventArgs(true));
                        return;
                    }
                }
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new ServiceManagerForm());
        }
    }
}
